namespace efl { namespace ui { namespace box { 
inline ::efl::eolian::return_traits<bool>::type Flow::box_flow_homogenous_get() const
{
   Eina_Bool __return_value =  ::efl_ui_box_flow_box_flow_homogenous_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Flow::box_flow_homogenous_set( ::efl::eolian::in_traits<bool>::type val) const
{
    ::efl_ui_box_flow_box_flow_homogenous_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(val));
}
inline ::efl::eolian::return_traits<bool>::type Flow::box_flow_max_size_get() const
{
   Eina_Bool __return_value =  ::efl_ui_box_flow_box_flow_max_size_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Flow::box_flow_max_size_set( ::efl::eolian::in_traits<bool>::type val) const
{
    ::efl_ui_box_flow_box_flow_max_size_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(val));
}
} } } 
namespace eo_cxx {
namespace efl { namespace ui { namespace box { 
inline ::efl::eolian::return_traits<bool>::type Flow::box_flow_homogenous_get() const
{
   Eina_Bool __return_value =  ::efl_ui_box_flow_box_flow_homogenous_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Flow::box_flow_homogenous_set( ::efl::eolian::in_traits<bool>::type val) const
{
    ::efl_ui_box_flow_box_flow_homogenous_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(val));
}
inline ::efl::eolian::return_traits<bool>::type Flow::box_flow_max_size_get() const
{
   Eina_Bool __return_value =  ::efl_ui_box_flow_box_flow_max_size_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Flow::box_flow_max_size_set( ::efl::eolian::in_traits<bool>::type val) const
{
    ::efl_ui_box_flow_box_flow_max_size_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(val));
}
inline efl::ui::box::Flow::operator ::efl::ui::box::Flow() const { return *static_cast< ::efl::ui::box::Flow const*>(static_cast<void const*>(this)); }
inline efl::ui::box::Flow::operator ::efl::ui::box::Flow&() { return *static_cast< ::efl::ui::box::Flow*>(static_cast<void*>(this)); }
inline efl::ui::box::Flow::operator ::efl::ui::box::Flow const&() const { return *static_cast< ::efl::ui::box::Flow const*>(static_cast<void const*>(this)); }
} } } }

